on init {
  set_interactivity none
  set #power_on 1
  set is_on 0
  
  
  set is_muted 0
  
  set instant_switching 0
  set caster ""
  accept
}
on initend {

          set old_is_on is_on

          if (is_on == 1) {
            tweak skin "[stone]_ground_caves_wet05" "[metal]-light-on"
            if (is_muted == 0) {
              play -lip "fluorescent-lamp-hum.wav"
            }
          } else {
            tweak skin "[stone]_ground_caves_wet05" "[metal]-light-off"
          }
        

  accept
}
on on {

          if (#power_on == 0) {
            accept
          }

          set is_on 1

          if (^$param1 == "instant") {
            set instant_switching 1
          } else {
            set instant_switching 0
          }

          goto switching
        

  accept
}
on off {

          if (#power_on == 0) {
            accept
          }

          set is_on 0

          if (^$param1 == "instant") {
            set instant_switching 1
          } else {
            set instant_switching 0
          }

          goto switching
        

  accept
}
on save {

          if (#power_on == 0) {
            accept
          }

          set saved_is_on is_on
        

  accept
}
on restore {

          if (#power_on == 0) {
            accept
          }

          set is_on saved_is_on

          goto switching
        

  accept
}
on random {

          if (#power_on == 0) {
            accept
          }

          if (^rnd_100 > 50) {
            set is_on 1
          } else {
            set is_on 0
          }

          if (^$param1 == "instant") {
            set instant_switching 1
          } else {
            set instant_switching 0
          }

          goto switching
        

  accept
}
on hit {

          if (#power_on == 0) {
            accept
          }

          if (^$param2 == "spell") {
            if (lightning_strike isin ^$param3) {
              set caster ~^sender~
              sendevent on self nop
            }
            if (douse isin ^$param3) {
              sendevent off self nop
            }
          }

          refuse
        

  accept
}
on mute {

          if (#power_on == 0) {
            accept
          }

          set is_muted 1
          goto volume
        

  accept
}
on unmute {

          if (#power_on == 0) {
            accept
          }

          set is_muted 0
          goto volume
        

  accept
}

>>turn_on_start {

          spellcast -smfx 1 ignit self // [s] = no anim, [m] = no draw, [f] = no mana required, [x] = no sound
          if (is_muted == 0) {
            play  "fluorescent-lamp-startup.wav"
          }
        

  return
}
>>turn_on_end {

          tweak skin "[stone]_ground_caves_wet05" "[metal]-light-on"
          if (is_muted == 0) {
            play -lip "fluorescent-lamp-hum.wav"
            play  "fluorescent-lamp-plink.wav"
          }
        

  return
}
>>turn_off_start {

          spellcast -smfx 1 douse self
        

  return
}
>>turn_off_end {

          tweak skin "[stone]_ground_caves_wet05" "[metal]-light-off"
          if (is_muted == 0) {
            play -s "fluorescent-lamp-hum.wav"
            set tmp ^rnd_100
            if (tmp < 33) {
              play  "glass-pop.wav"
            } else {
              if (tmp < 66) {
                play  "glass-pop2.wav"
              } else {
                play  "glass-pop3.wav"
              }
            }
          }
        

  return
}
>>switching {

          if (is_on == old_is_on) {
            accept
          }

          set old_is_on is_on

          if (caster == "player") {
            set caster ""
          }

          if (instant_switching == 1) {
            set anim1 0
          } else {
            set anim1 ^rnd_5
            mul anim1 120
          }
          set anim2 anim
          inc anim2 500

          if (is_on == 1) {
            TIMERonStart -m 1 anim1 gosub turn_on_start
            TIMERonEnd -m 1 anim2 gosub turn_on_end
          } else {
            TIMERoffStart -m 1 anim1 gosub turn_off_start
            TIMERoffEnd -m 1 anim2 gosub turn_off_end
          }
        

  accept
}
>>mute {

          play -s "fluorescent-lamp-hum.wav"
          play -s "fluorescent-lamp-startup.wav"
          play -s "fluorescent-lamp-plink.wav"
        

  return
}
>>unmute {

          if (is_on == 1) {
            play -lip "fluorescent-lamp-hum.wav"
          }
        

  return
}
>>volume {

          if (is_muted == old_is_muted) {
            accept
          }
        
          set old_is_muted is_muted
        
          if (is_muted == 1) {
            gosub mute
          } else {
            gosub unmute
          }
        

  accept
}