on init {
  set number_of_collected_games 0
  set player_found_any_games 0
  set is_goblin_ready_for_suicide 0
  set is_goblin_dead 0
  set player_littered 0
  set landed_in_backrooms_first_time 1
  set got_aam 0
  set got_folgora 0
  set got_taar 0
  set backrooms_light_tutorial_done 0

        TIMERwelcome -m 1 3000 gosub tutorial_welcome
      
  accept
}
on game_collected {

        if (player_found_any_games == 0) {
          set player_found_any_games 1
        }

        inc number_of_collected_games 1

        if (number_of_collected_games == 1) {
          gosub tutorial_gave_game_to_goblin
        }
        if (number_of_collected_games == 2) {
          gosub achievement_found_games_small
        }
        if (number_of_collected_games == 5) {
          gosub achievement_found_games_medium
        }
        if (number_of_collected_games == 8) {
          gosub achievement_found_games_large
          TIMERdelay1 -m 1 1000 gosub level_complete
        }
      
  accept
}
on player_found_a_game {

        if (player_found_any_games == 0) {
          set player_found_any_games 1
          gosub tutorial_found_a_game
        }
      
  accept
}
on entity_over_fence {

        if (^$param1 isgroup "junk") {
          if (player_littered == 0) {
            set player_littered 1
            gosub achievement_littering
          }
        } else {
          if (^$param1 == "player") {
            sendevent send_to_backrooms player nop
          }
        }
      
  accept
}
on entered_at_the_game_display_room_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      if (is_goblin_ready_for_suicide == 1) {
        accept
      }

      set is_goblin_ready_for_suicide 1
      sendevent goblin_vanishes self nop
    
  accept
}
on entered_at_the_front_yard_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      if (is_goblin_ready_for_suicide == 1) {
        accept
      }

      set is_goblin_ready_for_suicide 1
      sendevent goblin_vanishes self nop
    
  accept
}
on entered_at_the_main_hall_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_ready_for_suicide == 0) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      set is_goblin_dead 1
      sendevent goblin_suicide self nop
    
  accept
}
on entered_at_the_entrance_zone {

      if (number_of_collected_games < 7) {
        accept
      }

      if (is_goblin_ready_for_suicide == 0) {
        accept
      }

      if (is_goblin_dead == 1) {
        accept
      }

      set is_goblin_dead 1
      sendevent goblin_suicide self nop
    
  accept
}
on player_leaves_backrooms {

        setplayercontrols off
        worldfade out 500 0 0 0
        TIMERdelay2 -m 1 1000 play -o "demon_breath3.wav"
        TIMERdelay3 -m 1 4000 sendevent send_to_spawn player nop worldfade in 500 setplayercontrols on
      
  accept
}
on landed_in_backrooms {

        if (landed_in_backrooms_first_time == 1) {
          set landed_in_backrooms_first_time 0
          gosub tutorial_landed_in_backrooms
        }
      
  accept
}
on got_rune {

        if (^$param1 == "aam") {
          set got_aam 1
        }
        if (^$param1 == "folgora") {
          set got_folgora 1
        }
        if (^$param1 == "taar") {
          set got_taar 1
        }

        if (got_aam == 1) {
          if (got_folgora == 1) {
            if (got_taar == 1) {
              if (backrooms_light_tutorial_done == 0) {
                set backrooms_light_tutorial_done 1
                gosub tutorial_backrooms_light
              }
            }
          }
        }
      
  accept
}
on goblin_vanishes {

      sendevent close light_door_0001 nop
      sendevent lock light_door_0001 nop
    
destroy goblin_base_0001
  accept
}
on goblin_suicide {

      objecthide seat_stool1_0001 yes

      sendevent change_to_big_rigs l0_alicia_secretdoor_0001 nop

      sendevent emit_sound__big_rigs_gameplay seat_stool1_0002 nop
      TIMERdelay4 -m 1 4000 sendevent emit_sound__me_too_strong hanged_gob_0001 nop
      TIMERdelay5 -m 1 8000 sendevent emit_sound__what_now hanged_gob_0001 nop
      TIMERdelay6 -m 1 9650 sendevent emit_sound__keyboard_rage seat_stool1_0002 nop
      TIMERdelay7 -m 1 13650 sendevent emit_sound__damn hanged_gob_0001 nop
      TIMERdelay8 -m 1 14450 sendevent emit_sound__this_game_is_shit hanged_gob_0001 nop

      TIMERdelay9 -m 1 17050 sendevent emit_sound__goblin_step hanged_gob_0001 nop
      TIMERdelay10 -m 1 18250 sendevent emit_sound__goblin_step hanged_gob_0001 nop
      TIMERdelay11 -m 1 18850 sendevent emit_sound__goblin_step hanged_gob_0001 nop
      TIMERdelay12 -m 1 19850 sendevent emit_sound__goblin_step hanged_gob_0001 nop
      TIMERdelay13 -m 1 20450 sendevent emit_sound__goblin_step hanged_gob_0001 nop

      TIMERdelay14 -m 1 20850 sendevent emit_sound__stool_tip_over seat_stool1_0002 nop
      TIMERdelay15 -m 1 20900 sendevent emit_sound__death hanged_gob_0001 nop
      TIMERdelay16 -m 1 21100 sendevent emit_sound__rope_tighten seat_stool1_0002 nop

      TIMERdelay17 -m 1 24100 sendevent unlock light_door_0001 nop
      TIMERdelay18 -m 1 24100 objecthide seat_stool1_0002 no
      TIMERdelay19 -m 1 24100 objecthide hanged_gob_0001 no
      TIMERdelay20 -m 1 24100 objecthide pcgame_0002 no
    
  accept
}
on goblin_received_a_game {

      sendevent game_collected marker_0002 nop

      if (^$param1 == "mesterlovesz") {
        sendevent mount gamedisplay_0001 nop
      }
      if (^$param1 == "mortyr") {
        sendevent mount gamedisplay_0002 nop
      }
      if (^$param1 == "wolfschanze") {
        sendevent mount gamedisplay_0003 nop
      }
      if (^$param1 == "traktor-racer") {
        sendevent mount gamedisplay_0004 nop
      }
      if (^$param1 == "americas-10-most-wanted") {
        sendevent mount gamedisplay_0005 nop
      }
      if (^$param1 == "big-rigs") {
        sendevent mount gamedisplay_0006 nop
      }
      if (^$param1 == "streets-racer") {
        sendevent mount gamedisplay_0007 nop
      }
      if (^$param1 == "bikini-karate-babes") {
        sendevent mount gamedisplay_0008 nop
      }
    
  accept
}

>>tutorial_welcome {

    play -o "system.wav"
    herosay [tutorial--welcome]
    quest [tutorial--welcome]
  

  return
}
>>tutorial_found_a_game {

    play -o "system.wav"
    herosay [tutorial--found-a-game]
    quest [tutorial--found-a-game]
  

  return
}
>>tutorial_gave_game_to_goblin {

    play -o "system.wav"
    herosay [tutorial--gave-game-to-goblin]
    quest [tutorial--gave-game-to-goblin]
  

  return
}
>>tutorial_landed_in_backrooms {

    play -o "system.wav"
    herosay [tutorial--backrooms-1]
    quest [tutorial--backrooms-1]
  

  return
}
>>tutorial_backrooms_light {

    play -o "system.wav"
    herosay [tutorial--backrooms-2]
    quest [tutorial--backrooms-2]
  

  return
}
>>achievement_found_games_small {

    play -o "system3.wav"
    herosay [achievement--collected-games-small]
    quest [achievement--collected-games-small]
  

  return
}
>>achievement_found_games_medium {

    play -o "system3.wav"
    herosay [achievement--collected-games-medium]
    quest [achievement--collected-games-medium]
  

  return
}
>>achievement_found_games_large {

    play -o "system3.wav"
    herosay [achievement--collected-games-large]
    quest [achievement--collected-games-large]
  

  return
}
>>level_complete {

    play -o "player_level_up"
    herosay [level-completed]
    quest [level-completed]
  

  return
}
>>achievement_littering {

    play -o "system3.wav"
    herosay [achievement--littering]
    quest [achievement--littering]
  

  return
}